/*
 * TexInline
 * Copyright (C) 2007 Petar Maymounkov (petar@csail.mit.edu)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package info.petar.texinline;

import xtc.tree.Attribute;
import xtc.tree.AttributeList;
import xtc.tree.Node;
import info.petar.texinline.Tag;

public final class LatexElement extends Node {

  private final Tag tag;
  private final String text;
  private final String alt;

  public Tag getTag () {
    return tag;
  }

  public String getText () {
    return text;
  }

  public String getAttrib (String attr) {
    return tag.getAttribs ().get (attr);
  }

  public LatexElement (Tag tag, String text) {
    super ();
    assert (tag != null) && (text != null);
    this.tag = tag;
    this.text = text;

    String altv = tag.getAttribs ().get ("alt");
    if (altv != null)
      alt = altv;
    else
      alt = null;
  }

} // LatexElement
